librime: rime::ConfigValue Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | Protected Attributes | List of all members
rime::ConfigValue Class Reference

`#include <config_types.h>`

Inheritance diagram for rime::ConfigValue:
[legend]
Collaboration diagram for rime::ConfigValue:
[legend]

## Public Member Functions
| ConfigValue ()
RIME_DLL | ConfigValue (bool value)
RIME_DLL | ConfigValue (int value)
RIME_DLL | ConfigValue (double value)
RIME_DLL | ConfigValue (const char *value)
RIME_DLL | ConfigValue (const string &value)
bool | GetBool (bool *value) const
RIME_DLL bool | GetInt (int *value) const
bool | GetDouble (double *value) const
RIME_DLL bool | GetString (string *value) const
bool | SetBool (bool value)
bool | SetInt (int value)
bool | SetDouble (double value)
bool | SetString (const char *value)
bool | SetString (const string &value)
const string & | str () const
bool | empty () const override
Public Member Functions inherited from rime::ConfigItem
| ConfigItem ()=default
virtual | ~ConfigItem ()=default
ValueType | type () const

## Protected Attributes
string | value_
Protected Attributes inherited from rime::ConfigItem
ValueType | type_ = kNull

## Additional Inherited Members
Public Types inherited from rime::ConfigItem
enum | ValueType { kNull , kScalar , kList , kMap }
Protected Member Functions inherited from rime::ConfigItem
| ConfigItem (ValueType type)

## Constructor & Destructor Documentation

## ◆ ConfigValue() [1/6]

rime::ConfigValue::ConfigValue | ( |  | ) |
| inline

## ◆ ConfigValue() [2/6]

rime::ConfigValue::ConfigValue | ( | bool | value | ) |

## ◆ ConfigValue() [3/6]

rime::ConfigValue::ConfigValue | ( | int | value | ) |

## ◆ ConfigValue() [4/6]

rime::ConfigValue::ConfigValue | ( | double | value | ) |

## ◆ ConfigValue() [5/6]

rime::ConfigValue::ConfigValue | ( | const char * | value | ) |

## ◆ ConfigValue() [6/6]

rime::ConfigValue::ConfigValue | ( | const string & | value | ) |

## Member Function Documentation

## ◆ empty()

bool rime::ConfigValue::empty | ( |  | ) | const
| inlineoverridevirtual

Reimplemented from rime::ConfigItem.

## ◆ GetBool()

bool rime::ConfigValue::GetBool | ( | bool * | value | ) | const

## ◆ GetDouble()

bool rime::ConfigValue::GetDouble | ( | double * | value | ) | const

## ◆ GetInt()

bool rime::ConfigValue::GetInt | ( | int * | value | ) | const

## ◆ GetString()

bool rime::ConfigValue::GetString | ( | string * | value | ) | const

## ◆ SetBool()

bool rime::ConfigValue::SetBool | ( | bool | value | ) |

## ◆ SetDouble()

bool rime::ConfigValue::SetDouble | ( | double | value | ) |

## ◆ SetInt()

bool rime::ConfigValue::SetInt | ( | int | value | ) |

## ◆ SetString() [1/2]

bool rime::ConfigValue::SetString | ( | const char * | value | ) |

## ◆ SetString() [2/2]

bool rime::ConfigValue::SetString | ( | const string & | value | ) |

## ◆ str()

const string & rime::ConfigValue::str | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ value_

string rime::ConfigValue::value_
| protected

The documentation for this class was generated from the following files:

- config_types.h
- config_types.cc